package com.zcloud.fire.check.persistence.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zcloud.fire.check.persistence.dataobject.FireCheckListStatisticDO;
import com.zcloud.fire.check.persistence.dataobject.FireCheckListUserDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * web-infrastructure
 *
 * @Author zhaokai
 * @Date 2025-12-11 15:32:49
 */
@Mapper
public interface FireCheckListUserMapper extends BaseMapper<FireCheckListUserDO> {

    List<FireCheckListUserDO> getListUserNameByFireCheckIdList(List<String> fireCheckIdList);

    List<FireCheckListStatisticDO> getListUserStatisticByFireCheckIdList(List<String> fireCheckIdList);


    List<FireCheckListUserDO> getListUserByFireCheckIdList(List<String> fireCheckIdList);

    List<FireCheckListUserDO> getListByFireCheckId(String fireCheckId);

    List<FireCheckListUserDO> getListUserIdByFireCheckIdList(List<String> fireCheckIdList);
}

